RegionAttributesIndexUpdateType (Apache Geode 1.13.0)
Date: 2020-09-07

org.apache.geode.cache.configuration

## Enum RegionAttributesIndexUpdateType

- java.lang.Object
- - java.lang.Enum<RegionAttributesIndexUpdateType>
  - - org.apache.geode.cache.configuration.RegionAttributesIndexUpdateType

- All Implemented Interfaces:
    Serializable, Comparable<RegionAttributesIndexUpdateType>

      @Experimental
      public enum RegionAttributesIndexUpdateType
      extends Enum<RegionAttributesIndexUpdateType>
      implements Serializable

  Java class for region-attributesIndex-update-type.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="region-attributesIndex-update-type">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="asynchronous"/>
           <enumeration value="synchronous"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASYNCHRONOUS`
    `SYNCHRONOUS`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegionAttributesIndexUpdateType` | `fromValue(String v)`
    `String` | `value()`
    `static RegionAttributesIndexUpdateType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static RegionAttributesIndexUpdateType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ASYNCHRONOUS

          public static final RegionAttributesIndexUpdateType ASYNCHRONOUS

    - #### SYNCHRONOUS

          public static final RegionAttributesIndexUpdateType SYNCHRONOUS

  - ### Method Detail

    - #### values

          public static RegionAttributesIndexUpdateType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RegionAttributesIndexUpdateType c : RegionAttributesIndexUpdateType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RegionAttributesIndexUpdateType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### value

          public String value()

    - #### fromValue

          public static RegionAttributesIndexUpdateType fromValue(String v)